/*
Filename: FontExample.ino
This Example will print text to the display using a new font.
The font is defined in the TAB Myfont.h
*/

// ==============================================================================================================
//                                              Include libraries
// ==============================================================================================================
#include "Adafruit_GFX.h"                                                       // Graphic Library
#include "Adafruit_ILI9341.h"                                                   // Graphic Library
#include "Myfont.h"                                                             // New font

// ==============================================================================================================
//                                              Define Pins ILI9341 Setup
// ==============================================================================================================
// Define pins used by Arduino to control the LCD
#define TFT_DC 8                                                                // Define which pin LCD DC use
#define TFT_CS 10                                                               // Define which pin LCD CS use
#define TFT_RST 9                                                               // Define which pin LCD RST use

// Use hardware SPI (on Uno, #13, #12, #11) and the above for CS/DC
Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC, TFT_RST);               // Define SPI pins

// ==============================================================================================================
//                                              Arduino Main Setup
// ==============================================================================================================
void setup() {
    tft.begin();                                                                // Init Display
  
//------------- Define Port Input/Output ------  
    pinMode (7, OUTPUT);                                                        // Define pin for CE touch-screen  
    
//------------- Set Pin High/Low --------------  
    digitalWrite(7,HIGH);                                                       // Disconnect touch-screen  
}
// ==============================================================================================================
//                                              Arduino Main Loop
// ==============================================================================================================
void loop(void) {

    tft.setRotation(1);                                                         // Set rotation of the Display
    tft.fillScreen(ILI9341_BLACK);                                              // Clear the screen 
    tft.setFont(&liquid18pt7b);                                                 // Use the new font

    tft.setTextColor(0x16FF);                                                   // Set color
    tft.setCursor(70, 80);                                                      // Define position to put the text
    tft.setTextSize(1);                                                         // Set size of the text
    tft.println("0123456789");                                                  // Write some text

    tft.setTextColor(0xFFFF);                                                   // Set color
    tft.setCursor(50, 180);                                                     // Define position to put the text
    tft.setTextSize(2);                                                         // Set size of the text
    tft.println("012345");                                                      // Write some text

  delay(10000);

       
}
